GET api/Fields/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
Field| Name | Description | Type | Additional information |
|---|---|---|---|
| fieldId | globally unique identifier |
None. |
|
| customerId | globally unique identifier |
None. |
|
| coordinates | string |
None. |
|
| cropName | string |
None. |
|
| plotNumber | string |
None. |
|
| plantingYear | integer |
None. |
|
| createdDate | date |
None. |
|
| fullyLoaded | boolean |
None. |
|
| moagId | string |
None. |
|
| isDeleted | boolean |
None. |
|
| areaSquareMeters | decimal number |
None. |
|
| Customer | Customer |
None. |
Response Formats
application/json, text/json
Sample:
{
"fieldId": "21f233e3-dcb7-4582-ad9a-665bad9411b1",
"customerId": "b8e0a1ee-7b7c-4fe6-b0fd-5e24f98c4291",
"coordinates": "sample string 3",
"cropName": "sample string 4",
"plotNumber": "sample string 5",
"plantingYear": 1,
"createdDate": "2026-03-20T18:41:47.8842101+00:00",
"fullyLoaded": true,
"moagId": "sample string 6",
"isDeleted": true,
"areaSquareMeters": 1.1,
"Customer": {
"customerId": "f8dda385-824c-4498-b4e0-74f0e1d7c274",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:41:47.8842101+00:00"
}
}
text/html
Sample:
{"fieldId":"21f233e3-dcb7-4582-ad9a-665bad9411b1","customerId":"b8e0a1ee-7b7c-4fe6-b0fd-5e24f98c4291","coordinates":"sample string 3","cropName":"sample string 4","plotNumber":"sample string 5","plantingYear":1,"createdDate":"2026-03-20T18:41:47.8842101+00:00","fullyLoaded":true,"moagId":"sample string 6","isDeleted":true,"areaSquareMeters":1.1,"Customer":{"customerId":"f8dda385-824c-4498-b4e0-74f0e1d7c274","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:41:47.8842101+00:00"}}